<sqtm-core-customisable-dialog
  [dialogId]="'requirement-export-dialog'"
  [titleKey]="
    'sqtm-core.requirement-workspace.dialog.export.title.export-requirement'
  "
>
  <sqtm-core-dialog-body>
    <ng-container>
      <div class="sqtm-core-dialog-form p-10" [formGroup]="formGroup">
        <label class="label label__align_right">{{
          'sqtm-core.requirement-workspace.dialog.export.field.format'
            | translate
        }}</label>
        <div class="flex-column">
          <sqtm-core-select-field
            [formGroup]="formGroup"
            [options]="getType()"
            [fieldName]="'type'"
          ></sqtm-core-select-field>
          @if (formGroup.controls.type.value === 'simple') {
            <span class="format-message">{{
              'sqtm-core.requirement-workspace.dialog.export.field.simple-export.message'
                | translate
            }}</span>
          } @else {
            <span class="format-message">{{
              'sqtm-core.requirement-workspace.dialog.export.field.full-export.message'
                | translate
            }}</span>
          }
        </div>
        <label class="label label__align_right">{{
          'sqtm-core.requirement-workspace.dialog.export.file-name' | translate
        }}</label>
        <sqtm-core-text-field
          [fieldName]="'fileName'"
          [formGroup]="formGroup"
        ></sqtm-core-text-field>
        <label class="label label__align_right">{{
          'sqtm-core.requirement-workspace.dialog.export.options' | translate
        }}</label>
        <div class="flex-column">
          <div class="flex-row p-5">
            <span
              nz-checkbox
              [formGroup]="formGroup"
              formControlName="addLinkedLowLevelReq"
              ngDefaultControl
            >
              {{
                'sqtm-core.requirement-workspace.dialog.export.add-linked-low-level-requirement'
                  | translate
              }}
              <i
                class="current-workspace-main-color font-16-px m-l-5"
                nz-icon
                nzType="sqtm-core-generic:help"
                nzTheme="fill"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.requirement-workspace.dialog.message.add-linked-low-level-requirement'
                    | translate
                "
              ></i>
            </span>
          </div>
          @if (formGroup.controls.type.value !== 'simple') {
            <div class="flex-row p-5">
              <span
                style="margin-left: 0"
                nz-checkbox
                [formGroup]="formGroup"
                formControlName="editableRichText"
                ngDefaultControl
              >
                {{
                  'sqtm-core.requirement-workspace.dialog.export.rich-text-format'
                    | translate
                }}
              </span>
              <i
                class="current-workspace-main-color font-16-px"
                nz-icon
                nzType="sqtm-core-generic:help"
                nzTheme="fill"
                nz-tooltip
                [nzTooltipTitle]="
                  'sqtm-core.requirement-workspace.dialog.message.rich-text-format'
                    | translate
                "
              ></i>
            </div>
          }
        </div>
      </div>
    </ng-container>
  </sqtm-core-dialog-body>
  <sqtm-core-dialog-footer>
    <a
      [attr.data-test-dialog-button.id]="'export'"
      nz-button
      [href]="buildExportUrl()"
      [disabled]="!formIsValid()"
      [nzType]="'primary'"
      (click)="close()"
      >{{ 'sqtm-core.generic.label.export' | translate }}</a
    >
    <button
      [attr.data-test-dialog-button-id]="'close'"
      class="flex-fixed-size m-l-10"
      nz-button
      nzType="default"
      sqtmCoreDialogClose
    >
      {{ 'sqtm-core.generic.label.cancel' | translate }}
    </button>
  </sqtm-core-dialog-footer>
</sqtm-core-customisable-dialog>
